For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
      • GETList Components
      • GETGet Component Content
      • POSTUpdate Component Content
      • GETGet Component Properties
      • POSTUpdate Component Properties
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Pages and ComponentsComponents

List Components

GET
https://api.webflow.com/beta/sites/:site_id/components
GET
/beta/sites/:site_id/components
$curl -G https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/components \
> -H "Authorization: Bearer <token>" \
> -d branchId=68026fa68ef6dc744c75b833 \
> -d limit=100 \
> -d offset=0
1{
2 "components": [
3 {
4 "id": "6596da6045e56dee495bcbba",
5 "name": "Primary Button",
6 "group": "Buttons",
7 "description": "A default button component that can be used across the site"
8 },
9 {
10 "id": "658205daa3e8206a523b5ad4",
11 "name": "Secondary Button",
12 "group": "Buttons",
13 "description": "A secondary button component that can be used across the site"
14 },
15 {
16 "id": "6258612d1ee792848f805dcf",
17 "name": "Card"
18 },
19 {
20 "id": "68a2b1d1ee792848f805dcf",
21 "name": "Nav",
22 "readonly": true
23 }
24 ],
25 "pagination": {
26 "limit": 20,
27 "offset": 0,
28 "total": 4
29 }
30}

List of all components for a site.

Required scope | components:read

Was this page helpful?
Previous

Get Component Content

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

branchIdstringOptionalformat: "objectid"
Scope the operation to work on a specific branch.
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records

Response

Request was successful
componentslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error